Last Comment Bug 741218 - Loading a page with content-type application/json causes crash [@ nsHTMLDocument::StartDocumentLoad ]
: Loading a page with content-type application/json causes crash [@ nsHTMLDocum...
Status: RESOLVED FIXED
: crash, testcase
Product: Core
Classification: Components
Component: HTML: Parser (show other bugs)
: Trunk
: x86 Mac OS X
: -- critical (vote)
: mozilla14
Assigned To: :Ms2ger
:
Mentors:
: 741265 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-01 10:27 PDT by Simon Kornblith
Modified: 2012-04-05 09:05 PDT (History)
6 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Test case (2 bytes, application/json)
2012-04-01 10:27 PDT, Simon Kornblith
no flags Details
Patch v1 (1.41 KB, patch)
2012-04-01 10:36 PDT, :Ms2ger
hsivonen: review+
Details | Diff | Review

Description Simon Kornblith 2012-04-01 10:27:01 PDT
Created attachment 611288 [details]
Test case

When trying to load a resource with content-type application/json directly in the browser (but not via XHR), Nightly crashes. One such crash is

https://crash-stats.mozilla.com/report/index/bp-cc774709-06af-44d5-b653-ddfce2120401

I've attempted to attach a file that will reproduce this to the ticket, but if it doesn't reproduce the issue, I'll post a URL.
Comment 1 Simon Kornblith 2012-04-01 10:29:09 PDT
That attachment didn't get served as application/json, so try http://www.simonster.com/bug741218.php
Comment 2 :Ms2ger 2012-04-01 10:36:17 PDT
Created attachment 611291 [details] [diff] [review]
Patch v1
Comment 3 Henri Sivonen (:hsivonen) 2012-04-01 23:00:28 PDT
Comment on attachment 611291 [details] [diff] [review]
Patch v1

Thanks. (My earlier patch for nsHTMLDocument.cpp was probably in flight while JSON landed in nsContentDLF...)
Comment 4 Henri Sivonen (:hsivonen) 2012-04-01 23:58:17 PDT
*** Bug 741265 has been marked as a duplicate of this bug. ***
Comment 6 Brandon Savage [:brandon] 2012-04-03 07:42:43 PDT
Is this in the most recently released nightly? I want to check to make sure that this crash https://crash-stats.mozilla.com/report/index/bp-e6673058-4911-45cb-b4ba-1a1172120403 is occurring because I don't yet have the patch, and not because there's a different bug floating around.
Comment 7 Scoobidiver (away) 2012-04-03 07:47:53 PDT
(In reply to Brandon Savage [:brandon] from comment #6)
> Is this in the most recently released nightly?
The fix will be in Nightly from April 4th.

Note You need to log in before you can comment on or make changes to this bug.